@import '~@angular/material/theming';

@include mat-core();

@import "mainMixins";
//@import "variables";
/* You can add global styles to this file, and also import other style files */
html {
  overflow: hidden;
}
body {
  font-family: "Roboto", sans-serif;
  &.light-theme {
    @import "light-theme";
    // use our theme with angular-material-theme mixin
    @include angular-material-theme($my-light-theme);
    background-color: $body-background-color;
    color: $text-color;
    .login100-form-btn{
      background: $side-bar-primary;
      @include linearGradient(bottom, #7579ff, #b224ef)
    }
    .wrap-login100{
      background: $side-bar-secondary;
      @include linearGradient(top, #7579ff, #b224ef)
    }
    .container-login100::before{
      background-color: rgba(255,255,255,0.9);
    }
    #sidebarCollapse, .fa-expand, .searchBoxGrid .md-form input {
      color: $text-color;
    }
    #sidebar{
      background-color: $side-bar-primary;
      color: $side-bar-text-color;
      .sidebar-header{
        background-color: $side-bar-secondary;
      }
      .active{
        background-color: $side-bar-primary-active;
      }
      ul li a.active {
        background-color: $side-bar-primary-active;
      }
      ul ul a {
        background-color: $side-bar-secondary;
      }
      ul li a:hover, ul li a.active:hover, ul li ul li a.active:hover{
        background-color: $body-background-color;
        color: $side-bar-primary;
      }
      ul.components > li {
        border-bottom: 1px solid $side-bar-secondary-active;
        &:first-child {
          border-top: 1px solid $side-bar-secondary-active;
        }
      }
      ul li.main-menu ul.sub-menu li a.active {
        background-color: $side-bar-secondary-active;
        &:hover{
          background-color: $body-background-color;
          color: $side-bar-primary;
        }
      }
    }
    .navbar {
      background-color: $header-background-color;
    }
    .alphabet-circle{
      background-color: $side-bar-primary;
    }
    .card .card-body{
      background-color: $card-background-color;
      .card-text {
        color: $card-label-color;
        &.date span{
          color: $side-bar-primary;
        }
        span.field-value {
          color: $card-value-color;
        }
      }
      &.inspection-table-header{
        background-color: $side-bar-primary-active;
        color : $side-bar-text-color;
      }
    }
    .outer-container{
      background-color: $card-background-color;
      .BBP10{
        border-bottom: 1px solid $border-color;
      }
      .number-container {
        border: 2px solid $border-color;
        .plate-img{
          border-bottom-right-radius: 10px;
          border-top-right-radius: 10px;
          background-color: $body-background-color;
        }
      }
    }
    .jumbotron {
      &.inspection-table-body{
        background-color: $body-background-color;
      }
    }
    ::-webkit-scrollbar-thumb {
       background-color: $side-bar-primary;
    }
    .modal {
      .modal-header {
        background-color: $side-bar-secondary;
        color: $white-text-color;
        border-bottom: 1px solid $border-color;
        &.report-modal-header{
          background-color: $body-background-color;
          color: inherit;
        }
      }
      .modal-body{
        background-color: $body-background-color;
      }
      .modal-footer{
        background-color: $side-bar-secondary;
        border-top: 1px solid $border-color;
        &.report-modal-footer{
          background-color: $body-background-color;
        }
      }
    }
    .mat-card{
      background-color: inherit !important;
      .mat-card-header .mat-card-title .sub-title{
        color: inherit;
      }
    }
    .historicalDataTable .historicalDataTableHeader {
      background-color: $side-bar-primary-active;
      color : $side-bar-text-color;
    }
    .plusIcon a {
      color: $side-bar-secondary;
    }
    .tab{
      &.right-slider-tabs{
        .tablinks {
          background-color: $body-background-color;
          color: $text-color;
          border-bottom-color: $body-background-color;
          &.active {
            border-bottom-color: $side-bar-secondary-active;
          }
          &:hover{
            color: $side-bar-primary;
          }
        }
      }
    }
    .assetListGrid{
      background-color: $body-background-color;
    }
    .circularMain .circularG{
      background-color: $side-bar-primary-active;
    }
    #refreshButton{
      color: $side-bar-primary;
    }
    .dropdownBtn{
      background-color: $side-bar-primary;
    }
    .dropdown-menu{
      .dropdown-item{
        &.active{
          background-color: $side-bar-primary-active;
        }
      }
    }
    .search-select-panel .searckBox{
      background-color: $body-background-color;
      color: $text-color;
      border-color: $border-color;
    }
    .uploadFloorBtn .mask {
      border: 1px solid $border-color;
      color: $text-color;
    }
    .popup{
      background-color: $body-background-color;
    }
    .userDetailsGrid{
      background-color: $card-background-color;
      .userDetailsInnerGrid{
        .user-edit{
          color: $side-bar-primary;
        }
        .label{
          color: $card-label-color;
        }
        .value {
          color: $card-value-color;
        }
      }
    }
    .tab-inner .tab .tab-text{
      color: $text-color;
    }
    .plate-number .number{
      color: #383535;
    }
  }

  &.dark-theme {
    @import "dark-theme";
    // use our theme with angular-material-theme mixin
    @include angular-material-theme($my-dark-theme);
    background-color: $body-background-color;
    color: $text-color;
    .login100-form-btn{
      background: $side-bar-primary;
      @include linearGradient(bottom, #323232, #7D7D7D)
    }
    .wrap-login100{
      background: $side-bar-secondary;
      @include linearGradient(top, #323232, #7D7D7D)
    }
    .container-login100::before{
      background-color: rgba(0,0,0,0.7);
    }
    #sidebarCollapse, .fa-expand, .searchBoxGrid .md-form input {
      color: $text-color;
    }
    #sidebar{
      background-color: $side-bar-primary;
      color: $side-bar-text-color;
      .sidebar-header{
        background-color: $side-bar-secondary;
      }
      .active{
        background-color: $side-bar-primary-active;
      }
      ul li a.active {
        background-color: $side-bar-primary-active;
      }
      ul ul a {
        background-color: $side-bar-secondary;
      }
      ul li a:hover, ul li a.active:hover, ul li ul li a.active:hover{
        background-color: $body-background-color;
        color: $side-bar-primary;
      }
      ul.components > li {
        border-bottom: 1px solid $side-bar-secondary-active;
        &:first-child {
          border-top: 1px solid $side-bar-secondary-active;
        }
      }
      ul li.main-menu ul.sub-menu li a.active {
        background-color: $side-bar-secondary-active;
        &:hover{
          background-color: $body-background-color;
          color: $side-bar-primary;
        }
      }
    }
    .navbar {
      background-color: $header-background-color;
    }
    .alphabet-circle{
      background-color: $side-bar-primary;
    }
    .card .card-body{
      background-color: $card-background-color;
      .card-text {
         color: $card-label-color;
        &.date span{
         color: $side-bar-primary;
        }
        span.field-value {
          color: $card-value-color;
        }
      }
      &.inspection-table-header{
        background-color: $side-bar-primary-active;
        color : $side-bar-text-color;
      }
    }
    .outer-container{
      background-color: $card-background-color;
      .BBP10{
        border-bottom: 1px solid $border-color;
      }
      .number-container {
          border: 2px solid $border-color;
           .plate-img{
              border-bottom-right-radius: 10px;
              border-top-right-radius: 10px;
              background-color: $body-background-color;
           }
      }
    }
    .jumbotron {
      &.inspection-table-body{
        background-color: $body-background-color;
      }
    }
    ::-webkit-scrollbar-thumb {
      background-color: $side-bar-primary;
    }
    .modal {
      .modal-header {
        background-color: $side-bar-secondary;
        color: $white-text-color;
        border-bottom: 1px solid $border-color;
        &.report-modal-header{
          background-color: $body-background-color;
          color: inherit;
        }
      }
      .modal-body{
        background-color: $body-background-color;
      }
      .modal-footer{
        background-color: $side-bar-secondary;
        border-top: 1px solid $border-color;
        &.report-modal-footer{
          background-color: $body-background-color;
        }
      }
    }
    .mat-card{
      background-color: $card-background-color !important;
      box-shadow: 0 -2px 10px rgba(0, 0, 0, 1) !important;
      .mat-card-header .mat-card-title .sub-title{
        color: inherit;
      }
    }
    .historicalDataTable .historicalDataTableHeader {
      background-color: $side-bar-primary-active;
      color : $side-bar-text-color;
    }
    .plusIcon a {
      color: $side-bar-secondary;
    }
    .tab{
      &.right-slider-tabs{
        .tablinks {
          background-color: $body-background-color;
          color: $text-color;
          border-bottom-color: $body-background-color;
          &.active {
            border-bottom-color: inherit;
          }
          &:hover{
            color: $side-bar-primary;
          }
        }
      }
    }
    .assetListGrid{
      background-color: $body-background-color;
    }
    .circularMain .circularG{
      background-color: $side-bar-primary-active;
    }
    #refreshButton{
      color: $side-bar-primary;
    }
    .dropdownBtn{
      background-color: $side-bar-primary;
    }
    .dropdown-menu{
      .dropdown-item{
         &.active{
           background-color: $side-bar-primary-active;
         }
      }
    }
    .search-select-panel .searckBox{
      background-color: $body-background-color;
      color: $text-color;
      border-color: $border-color;
    }
    .uploadFloorBtn .mask {
      border: 1px solid $border-color;
      color: $text-color;
    }
    .popup{
      background-color: $body-background-color;
    }
    .userDetailsGrid{
      background-color: $card-background-color;
      .userDetailsInnerGrid{
        .user-edit{
          color: $side-bar-primary;
        }
        .label{
          color: $card-label-color;
        }
        .value {
          color: $card-value-color;
        }
      }
    }
    .eyeIcon{
      color: $card-value-color;
    }
    .tab-inner .tab .tab-text{
      color: $white-text-color;
    }
    .mat-paginator {
      background: $body-background-color;
    }
    .plate-number .number{
      color: rgba(0,0,0,0.5);
    }
  }

}

.noMargin{
  margin: 0!important;
}
.uppercase {
  text-transform: uppercase;
}
.MT20{
  margin-top: 20px;
}
.ML20{
  margin-left: 20px;
}
.ML10{
  margin-left: 10px;
}
.MR10{
  margin-right: 10px !important;
}
.MB10 {
  margin-bottom: 10px;
}
.W100FL {
  width: 100%;
  float: left;
}
.FR{
  float: right;
}
.TAC{
  text-align: center;
}
.TTC{
  text-transform: capitalize;
}
.cursorPointer{
  cursor: pointer;
}

.white-text{
  color: #fff;
}
.cdk-overlay-container {
  z-index: 1500 !important;
}

.TAC{
  text-align: center;
}
.messagePopup {
  @include boxShadow( 0 0 2px rgba(0, 0, 0, 0.3) );
  z-index: 1100;
  display: none;
  padding: 20px;
  top: 150px;
  left: 50%;
  margin-left: -150px;
  background: #425079;
  color: #fff;
  position: fixed;
  box-sizing: border-box;
  width: 300px;
  text-align: center;
  font-size: 15px;
}
.asset-not-found{
  font-family: Georgia, serif;
  font-style: italic;
  margin-top: 30vh;
  text-align: center;
  line-height: 1.45;
  position: relative;
  color: #888686;
  span{
    font-size: 33px;
    font-family: Georgia, serif;
  }
}
.calender .dropdown-menu.show{
  top: 46px !important;
}
.dropdown-item:hover {
 cursor: pointer;
}
.mat-input-element:disabled {
  color: rgba(0,0,0,0.60);
}

.arrow-animation {
  -webkit-animation: rotation 1s 1 linear;
  -moz-animation: rotation 1s 1 linear;
  -o-animation: rotation 1s 1 linear;
  animation: rotation 1s 1 linear;
}

@include keyframes ( rotation ) {
  from {
    @include rotate(0);
  }
  to {
    @include rotate(359);
  }
}


#refreshButton {
  font-size: 35px;
  cursor: pointer;
  line-height: 50px;
}

.btn{
  padding: 10px 15px;
  margin: 5px;
  border-radius: 8px;
}
.dropdownBtn{
  border-radius: 0;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}
.card{
  border-radius: 10px;
  .card-body{
    border-radius: 5px;
  }
}
//-------- ngb-pagination custom css changes  --------------- //
/*.pagination .page-item.active {
  background-color: #4285f4;
  border-radius: 4px;
}
.pagination .page-item.active .page-link{
  box-shadow: none;
}
.pagination .page-item .page-link:focus {
  box-shadow: none;
}*/

.groupBadgeTitle.mat-expansion-panel-header-title {
  margin-top: 3px;
}
// ----------Material Pagination CSS-----------//
.mat-paginator-page-size {
  margin-right: 60px !important;
  position: absolute;
  right: 0;
  // bottom: 25px;
}
.matPagination .mat-select-value {
  width: 75%;
}

.matPagination .mat-form-field-infix {
  width: 70px;
}

.matPagination .mat-form-field-wrapper{
  right: 80px;
}
.matPagination.mat-form-field{
  position: static;
}
/*
.mat-paginator-navigation-first {
  right: 15px;
}

.mat-paginator-range-label{
  position: absolute;
  right: 499px;
}

.mat-paginator-navigation-previous{
  right: 15px;
}
*/
.mat-paginator-navigation-next{
  left: 100px;
}

.mat-paginator-navigation-last{
  left: 100px;
}

// ----------Material tooltip CSS-----------//
.mat-tooltip {
  font-size: 14px;
}

/*guage module*/
mwl-gauge {
  width: 220px;
  height: 220px;
  display: block;
 // padding: 10px;
  margin: 0 auto;
}
mwl-gauge > .gauge > .dial {
  stroke: #334455;
  stroke-width: 3;
  fill: rgba(0,0,0,0);
}
mwl-gauge > .gauge > .value {
  stroke: #EF6C00;
  stroke-width: 3;
  fill: rgba(0,0,0,0);
}
mwl-gauge > .gauge > .value-text {
  fill: #FB8C00;
  font-family: sans-serif;
  font-weight: bold;
  font-size: 11px;
}
.gauge-header .mat-card-header-text{
  width: 90%;
  margin: 0 5%;
  text-align: center;
}
.gauge-header .mat-card-subtitle {
  font-weight: 400;
  margin-bottom: 0;
}
// ----------------------------------------------------------------//
.mat-card.server-card {
  padding: 5px;
}
.mat-card.server-card .mat-card-header .mat-card-header-text {
  margin: 0;
}
.mat-card.server-card .mat-card-header .mat-card-title {
  margin-bottom: 8px;
}
.mat-card-header .mat-card-title .sub-title {
  color: rgba(0,0,0,.54);
  font-size: 14px;
}

//-------- custom scrollbar css changes  --------------- //
::-webkit-scrollbar-track {
  @include boxShadow( inset 0 0 6px rgba(0, 0, 0, .4) );
  background-color: #F5F5F5;
  border-radius: 100px;
}
::-webkit-scrollbar {
  width: 5px;
  background-color: #F5F5F5;
}
::-webkit-scrollbar-thumb {
  border-radius: 100px;
 // background-color: #7386D5;
}

//-------- media  --------------- //
@media (min-width: 320px) and (max-width: 480px) {
  .asset-not-found{
    margin-top: 10px;
    line-height: 30px;
    font-size: 24px;
    span{
      font-size: 28px;
    }
  }
  .mat-paginator-page-size {
    display: none !important;
  }
  .mat-paginator-range-label {
    display: none;
  }
  ::-webkit-scrollbar {
    width: 3px;
  }
  .modal .modal-full-height.modal-lg{
    max-width: 90%;
    width: 90%;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  .asset-not-found{
    margin-top: 10px;
    line-height: 30px;
    font-size: 24px;
    span{
      font-size: 28px;
    }
  }
  .mat-paginator-page-size {
    display: none !important;
  }
  .mat-paginator-range-label {
    display: none;
  }
  ::-webkit-scrollbar {
    width: 3px;
  }
  .modal .modal-full-height.modal-lg{
    max-width: 80%;
    width: 80%;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .mat-paginator-page-size {
    display: none !important;
  }
  .mat-paginator-range-label {
    display: none;
  }
  ::-webkit-scrollbar {
    width: 3px;
  }
  .modal .modal-full-height.modal-lg{
    max-width: 80%;
    width: 80%;
  }
}

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  .modal .modal-full-height.modal-lg{
    max-width: 60%;
    width: 60%;
  }
}

@media (min-width: 1025px) and (max-width: 1280px) {
  .modal .modal-full-height.modal-lg{
    max-width: 800px;
    width: 800px;
  }
}

@media (min-width: 1280px) {
  .modal .modal-full-height.modal-lg{
    max-width: 800px;
    width: 800px;
  }
}
